llvmlite (0.46.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Sun, 08 Mar 2026 12:46:54 +1100

llvmlite (0.46.0-0.1) experimental; urgency=medium

  * Non-maintainer upload for Python 3.14 transition.
  * New upstream release.
    - Fix FTBFS with Python 3.14 (Closes: #1122961).
    - upload to experimental to build against llvm-20
    - add new build-dependencies
    - refresh patches (dropping most of them as they are applied upstream)
  * Add experimental patches for compatibility with llvm-21
    (Closes: #1124062).
  * Disable dwz as it causes FTBFS on arm64 (see #1016936).
  * Drop usage of older llvm including llvm-14 (Closes: #1061108).
  * Fix FTBFS by allowing tests to fail on loong64 (Closes: #1120659).
  * Fix FTBFS by allowing tests to fail on riscv64 (Closes: #1071569).
  * Update d/watch, leaving comment to enable dev releases if needed
    (Closes: #1069786).

 -- Stuart Prescott <stuart@debian.org>  Mon, 15 Dec 2025 17:29:15 +1100

llvmlite (0.44.0-1) unstable; urgency=medium

  [ Diane Trout ]
  * New upstream version 0.44.0 (Closes: #1061214)
  * Add use-local-objectsinv.patch to prevent network access
  * Add python3-doc and llvm-19-doc as nodoc build dependencies
  * Add llvm-19-pr1182.patch to backport support for llvm-19
  * Update path to llvm-config for llvm-19 in debian/rules
  * Add skip-llvm-19-broken-tests.patch to avoid tests that fail with
    llvm-19

 -- Diane Trout <diane@ghic.org>  Thu, 30 Jan 2025 18:46:04 -0800

llvmlite (0.42.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Wed, 28 Feb 2024 23:02:10 -0500

llvmlite (0.42.0-1~exp1) experimental; urgency=medium

  * New upstream version 0.42.0
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Thu, 15 Feb 2024 13:47:26 -0500

llvmlite (0.41.1-1) unstable; urgency=medium

  * New upstream version 0.41.1

 -- Mo Zhou <lumin@debian.org>  Sun, 22 Oct 2023 17:38:25 -0400

llvmlite (0.41.0-1) unstable; urgency=medium

  * New upstream version 0.41.0

 -- Mo Zhou <lumin@debian.org>  Sat, 23 Sep 2023 19:59:36 -0400

llvmlite (0.40.1-1) unstable; urgency=medium

  * New upstream version 0.40.1

 -- Mo Zhou <lumin@debian.org>  Sun, 25 Jun 2023 13:34:17 -0700

llvmlite (0.40.0-1) unstable; urgency=medium

  * New upstream version 0.40.0
  * Remove unneeded patches as of this release. Rebase remaining ones.

 -- Mo Zhou <lumin@debian.org>  Sat, 17 Jun 2023 17:53:17 -0700

llvmlite (0.39.1-2) unstable; urgency=medium

  [ Mo Zhou ]
  * Cherry-pick & rebase upstream LLVM-14 patch. (Closes: #1000922, #1024795)
    Note, this patch is not fully tested by the upstream, but we have to move
    away from LLVM-11 since it is already removed from Debian unstable.
  * Bump LLVM Depends to 14.
  * Bump maximum python version to 3.11.
  * Override and disable LTO, or the shared object will be missing.

  [ Diane Trout ]
  * Fix FTBFS due to llvm compat for cxx code.

 -- Mo Zhou <lumin@debian.org>  Sat, 24 Dec 2022 11:47:06 -0500

llvmlite (0.39.1-1) unstable; urgency=medium

  * New upstream version 0.39.1
  * Use the ${llvm:Depends} variable in Depends field of d/control.

 -- Mo Zhou <lumin@debian.org>  Fri, 09 Sep 2022 10:20:28 -0400

llvmlite (0.39.0-1) unstable; urgency=medium

  * New upstream version 0.39.0 (July 2022)
  * Remove no longer used patches.
  * Refresh existing patches.

 -- Mo Zhou <lumin@debian.org>  Thu, 28 Jul 2022 19:39:50 -0700

llvmlite (0.38.1-3) unstable; urgency=medium

  * Rollback to use LLVM-11. (Closes: #1014690) (Reopens: #1000922)

 -- Mo Zhou <lumin@debian.org>  Sun, 10 Jul 2022 07:54:50 -0700

llvmlite (0.38.1-2) unstable; urgency=medium

  * Cherry-pick upstream pull request to enable llvm-{12,13} support.
  * Bump LLVM dependency to 13. (Closes: #1000922)

 -- Mo Zhou <lumin@debian.org>  Mon, 20 Jun 2022 23:44:43 -0700

llvmlite (0.38.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Mo Zhou ]
  * New upstream version 0.38.1

 -- Mo Zhou <lumin@debian.org>  Sun, 19 Jun 2022 20:29:20 -0700

llvmlite (0.38.0-1) unstable; urgency=medium

  * New upstream version 0.38.0
  * Refresh existing patches.

 -- Mo Zhou <lumin@debian.org>  Sat, 15 Jan 2022 10:00:21 -0500

llvmlite (0.38.0~rc1-1) unstable; urgency=medium

  * New upstream version 0.38.0~rc1 (Closes: #1000178)

 -- Mo Zhou <lumin@debian.org>  Mon, 03 Jan 2022 10:51:57 -0500

llvmlite (0.37.0-1) unstable; urgency=medium

  * New upstream version 0.37.0
  * Correct d/watch upstream URL and upgrade it to version 4.
  * Bump LLVM dependency to llvm-11-dev. (Closes: #987703, #974778)
  * Add missing build dependencies on Python3.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Reduce Build-Depends: (Closes: #982185)
    + Drop unused zlib1g-dev and libedit-dev.
    + Replace conditional dh --with sphinxdoc with a dh-sequence-sphinxdoc
      dependency.
    + Replace nodoc profile with an arch/indep split.

 -- Mo Zhou <lumin@debian.org>  Thu, 11 Nov 2021 11:27:03 -0500

llvmlite (0.35.0-3) unstable; urgency=medium

  * Team upload.

  [ Graham Inggs ]
  * Switch back to LLVM 9 also runtime dependencies.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jan 2021 19:30:15 +0100

llvmlite (0.35.0-2) unstable; urgency=medium

  * Switch back to LLVM 9, see #974778

 -- Graham Inggs <ginggs@debian.org>  Wed, 20 Jan 2021 07:43:12 +0000

llvmlite (0.35.0-1) unstable; urgency=medium

  * New upstream version 0.35.0

 -- Mo Zhou <lumin@debian.org>  Tue, 08 Dec 2020 14:44:56 +0800

llvmlite (0.34.0-2) unstable; urgency=medium

  * Fixup wrong run-time dependency of bin:python3-llvmlite. (Closes: #970867)

 -- Mo Zhou <lumin@debian.org>  Thu, 01 Oct 2020 12:14:02 +0800

llvmlite (0.34.0-1) unstable; urgency=medium

  * New upstream version 0.34.0
  * Refresh existing patches.
  * Bump llvm requirement from 9->10 for non-arm64 architectures.

 -- Mo Zhou <lumin@debian.org>  Sun, 20 Sep 2020 15:23:34 +0800

llvmlite (0.33.0-1) unstable; urgency=medium

  * New upstream version 0.33.0 (Closes: #943322)
  * Bump B-D to LLVM-9 following upstream.
  * Bump debhelper compat level to 13.

 -- Mo Zhou <lumin@debian.org>  Thu, 25 Jun 2020 23:20:39 +0800

llvmlite (0.32.0-1) unstable; urgency=medium

  * New upstream version 0.32.0
  * Dependency python3-six is no longer used by this package.
  * Bump Standards-Version to 4.5.0 (no change).

 -- Mo Zhou <lumin@debian.org>  Thu, 23 Apr 2020 13:46:29 +0800

llvmlite (0.31.0-2) unstable; urgency=medium

  * Drop python-enum34 from b-d, no longer required; Closes: #936956
  * debian/tests/python3-llvmlite
    - run autopkgtests on all python3 supported versions

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Apr 2020 21:11:41 -0400

llvmlite (0.31.0-1) unstable; urgency=medium

  * New upstream version 0.31.0
  * Update my mail address in control and copyright.

 -- Mo Zhou <lumin@debian.org>  Sat, 08 Feb 2020 17:12:51 +0800

llvmlite (0.30.0-2) unstable; urgency=medium

  * Package Adoption. Thanks Daniel for previous work! (Closes: #945184)
  * Bump B-D/R-D from llvm-7 to llvm-8 for ppc64el as well.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 22 Dec 2019 11:14:55 +0800

llvmlite (0.30.0-1) experimental; urgency=medium

  * New upstream version 0.30.0
  * gbp.conf: no requiring signing
  * Refresh patches.
  * Bump B-D to LLVM-8 except for ppc64el architecture.
  * Bump the runtime deps to LLVM-8 accordingly. (except for ppc64el)
  * Deprecate Python2.
  * Delete Python2 autopkgtest scripts.
  * Bump debhelper compat level to 12 and deprecate d/compat.
  * Team Upload.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 24 Nov 2019 13:40:45 +0800

llvmlite (0.27.0-2) unstable; urgency=medium

  * deb/rules:
    + failsave tests on armhf/armel hosts temporarily to prevent
      test breaks due to a missing symbol occurring if build machine
      is arm64, see #917252.

 -- Daniel Stender <stender@debian.org>  Sat, 05 Jan 2019 15:54:54 +0100

llvmlite (0.27.0-1) unstable; urgency=medium

  * New upstream release:
    + build against LLVM 7 (Closes: #912790).
  * add recognize-default-buildflags.patch.
  * deb/rules:
    + export DEB_BUILD_MAINT_OPTIONS with hardening.
    + re-export CXXFLAGS with added -fPIC.
  * deb/copyright:
    + expand copyright span to 2019.
  * deb/control:
    + bump standards to 4.3.0 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Fri, 04 Jan 2019 20:45:30 +0100

llvmlite (0.26.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Sat, 01 Dec 2018 08:06:52 +0100

llvmlite (0.25.0-1) unstable; urgency=medium

  * New upstream release:
    + unfuzz use-system-six.patch.
  * deb/control:
    + build with default python interpreters.
    + use python3 package for sphinx and rtd-theme.
    + bump standards to 4.2.1 (no further changes needed).
  * deb/rules:
    + build with DH_VERBOSE=1 (according to standards 4.2.0)
    + drop unnecessary export line for DEB_BUILD_OPTIONS.
    + add check before injecting mutual conflicts for dbg
      packages (Closes: #906682).
  * add build profile switches:
    + deb/control: add !nodoc switch to b-deps and package description.
    + deb/rules: don't run sphinxdoc dh extension in deb/control if
      DEB_BUILD_PROFILES contains nodoc.
  * build with dh level 11 (changes in deb/compat and deb/control).

 -- Daniel Stender <stender@debian.org>  Sat, 03 Nov 2018 20:35:01 +0100

llvmlite (0.24.0-1) unstable; urgency=medium

  * New upstream release.
  * update to llvm 6.0 in deb/control and deb/rules.
  * DEP-8 testsuite:
    + use $AUTOPKGTEST_TMP instead of $ADTTMP.
    + run interpreter with deprecation warnings turned on.
    + expand info lines, drop newline.
  * deb/control:
    + drop ancient python version fields.
  * deb/copyright:
    + for CC0-1.0, include pointer to /usr/share/common-licenses.

 -- Daniel Stender <stender@debian.org>  Sun, 08 Jul 2018 12:58:41 +0200

llvmlite (0.22.0-2) unstable; urgency=medium

  * deb/control:
    + pull deps of docs package to Suggests throughout.
  * deb/rules:
    + drop override for dh_auto_test (unittesting runs out of the box).
    + add override for dh_gencontrol manually adding Conflicts against the
      other dbgsym package (Closes: #868564).

 -- Daniel Stender <stender@debian.org>  Tue, 01 May 2018 13:12:50 +0200

llvmlite (0.22.0-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + build and run against llvm-5.0.
    + update Vcs fields (project moved to salsa).
    + bump standards to 4.1.3 (no further changes needed).
  * deb/copyright:
    + update copyright span.
    + replace full license text of CC0-1.0 with short text and pointer
      to /usr/share/common-licenses.
  * deb/rules:
    + update llvm-config path.
  * add deb/gbp.conf.

 -- Daniel Stender <stender@debian.org>  Sun, 11 Mar 2018 21:12:12 +0100

llvmlite (0.19.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Daniel Stender <stender@debian.org>  Sun, 16 Jul 2017 23:43:24 +0200

llvmlite (0.19.0-1) experimental; urgency=medium

  * New upstream release:
    + unfuzz use-system-six.patch.
  * use debhelper level 10 (changes in deb/compat and deb/control).
  * deb/copyright: use https in Format field.
  * deb/rules: add switch to regard DEB_BUILD_OPTIONS=nodoc.
  * bump standards version to 4.0.0 (no further changes needed).

 -- Daniel Stender <stender@debian.org>  Sun, 16 Jul 2017 16:30:08 +0200

llvmlite (0.18.0-1) experimental; urgency=medium

  * New upstream release.
  * deb/control:
    + bump deps to llvm-4.0.
    + build-depend on Python dev packages.
  * deb/rules: bump LLVM_CONFIG to llvm-4.0.
  * drop skip-TestDependencies.patch (now skipped by default).

 -- Daniel Stender <stender@debian.org>  Sat, 27 May 2017 12:32:36 +0200

llvmlite (0.16.0-1) unstable; urgency=medium

  * New upstream release.
  * deb/clean: fix a typo.
  * deb/control: build against llvm-3.9-dev.
  * deb/copyright: expand copyright span.
  * deb/rules: bump LLVM_CONFIG to llvm-3.9.
  * drop tests-add-libtinfo-to-expected-libs.patch.
  * add skip-TestDependencies.patch.

 -- Daniel Stender <stender@debian.org>  Fri, 26 May 2017 21:59:29 +0200

llvmlite (0.15.0+git20161228.95d8c7c-2) unstable; urgency=medium

  * Uploaded to unstable.

 -- Daniel Stender <stender@debian.org>  Thu, 29 Dec 2016 11:10:26 +0100

llvmlite (0.15.0+git20161228.95d8c7c-1) experimental; urgency=medium

  * build with latest development snapshot (Closes: #849499).

 -- Daniel Stender <stender@debian.org>  Thu, 29 Dec 2016 05:37:34 +0100

llvmlite (0.14.0-3) experimental; urgency=medium

  * remove failsafe from tests.

 -- Daniel Stender <stender@debian.org>  Sat, 24 Dec 2016 08:25:53 +0100

llvmlite (0.14.0-2) experimental; urgency=medium

  * deb/rules: add override for dh_auto_test (temporarily safed).
  * add debian/source/options (with extend-diff-ignote for ffi/*.dwo).

 -- Daniel Stender <stender@debian.org>  Tue, 20 Dec 2016 23:22:30 +0100

llvmlite (0.14.0-1) experimental; urgency=medium

  * New upstream release:
    + unfuzz use-system-six.patch.

 -- Daniel Stender <stender@debian.org>  Tue, 06 Dec 2016 20:33:59 +0100

llvmlite (0.13.0-2) experimental; urgency=medium

  * tests-add-libtinfo-to-expected-libs.patch: add more expected deps,
    needed by the supported archs.

 -- Daniel Stender <stender@debian.org>  Sun, 04 Sep 2016 18:54:23 +0200

llvmlite (0.13.0-1) experimental; urgency=medium

  * new upstream release:
    + bump llvm to 3.8 in deb/control and deb/rules (LLVM_CONFIG).
    + bump X-Python versions in deb/control.
    + add *dwo to deb/clean.
    + unfuzz and update use-system-six.patch.
    + add tests-add-libtinfo-to-expected-libs.patch.
  * deb/control:
    + remove enum34 from runtime deps (not needed).

 -- Daniel Stender <stender@debian.org>  Sat, 03 Sep 2016 18:21:06 +0200

llvmlite (0.8.0-2) experimental; urgency=medium

  * deb/control:
    + put LLVM packaging team into Maintainer field.
    + put myself into Uploaders field, updated email address.
    + don't build-depend on llvm defaults, but the specific llvm version
      which is actually supported (3.6, changed that also for binary deps).
    + add sphinx-rtd-theme to build-deps.
    + bump standards to version 3.9.8 (no changes needed).
    + add Vcs-Svn and Vcs-Browser fields (pkg-llvm).
    + drop Testsuite field (deprecated).
  * deb/copyright:
    + update maintainer email address, add missing span.
  * deb/rules:
    + add export for LLVM_CONFIG (pointing to llvm-3.6).
  * deb/watch:
    + fix filenamemangle.

 -- Daniel Stender <stender@debian.org>  Thu, 01 Sep 2016 18:25:57 +0200

llvmlite (0.8.0-1) experimental; urgency=medium

  * Initial release (Closes: #800379).

 -- Daniel Stender <debian@danielstender.com>  Mon, 14 Dec 2015 22:22:30 +0100
